Subject: Re: String Representation

From: Tim Menzies <[email-masked]>
Date: Thu, 11 May 2000 18:13:55 -0400

string being phased out?

er... have i got this? atoms are 'enclosed in single quotes' while
"strings are in double rabbit ears are represented as lists of
small-ints"

i thought strings were a neat trick for lots of things e.g.

** don't write string processing predicates. instead, implement all your
"string" manaipulations using general purpose list predicates

** don't pollute the symbol table with silly atoms (strings are just
small ints). this is  very useful if you are (e.g.) sniffing a large
data source

or am i missing something?

Paul Singleton wrote:
> 
> Jan Wielemaker wrote:
> 
> > ...
> > In general, I would not use strings very often these days.
> 
> Is there any good case for using them at all?
> 
> Should I feel guilty in making no provision for them in my Java and
> ODBC interfaces?
> 
> Do you envisage "pulling the plug" on them within a few years?
> 
> Paul Singleton
> 
> ----------------
> * To UNSUBSCRIBE, please use the HTML form at
> 
>     http://www.swi.psy.uva.nl/projects/SWI-Prolog/index.html#mailinglist
> 
> or send mail to [email-masked] using the Subject: "unsubscribe"
> (without the quotes) and *no* message body.
> 
> ** An ARCHIVE of this list is maintained at
> 
>     http://www.swi.psy.uva.nl/projects/SWI-Prolog/mailinglist/archive/

-- 
TimMenzies.com; http://www.tim.menzies.com     | PH  +1-304-367-8447
NASA, 100 University Dr,Fairmont WV, 26554,USA | FAX +1-304-367-8211
 
"We're going to have the best-educated American people in the world."
-- Dan Quayle, 9/21/88